> ## Documentation Index
> Fetch the complete documentation index at: https://docs.levelblue.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List labels for an alarm

> Retrieves a list of label IDs associated with a specific alarm.



## OpenAPI

````yaml /documentation/api-reference/v2.yaml get /alarms/{alarmId}/labels
openapi: 3.0.0
info:
  title: USM Anywhere™ API Reference
  description: >-
    AT&T Cybersecurity publishes REST APIs for USM Anywhere that provide a
    programmatic interface that will allow you to access your data directly from
    your own applications and extensions.
  version: '2.0'
servers:
  - url: https://your-subdomain.alienvault.cloud/api/2.0
    description: USM Anywhere API Server
security:
  - bearerAuth: []
tags:
  - name: Alarms
    description: Endpoints for managing and searching alarm messages.
  - name: Events
    description: Endpoints for managing and searching events.
  - name: OAuth
    description: Endpoint for OAuth 2.0 functionality.
paths:
  /alarms/{alarmId}/labels:
    get:
      tags:
        - Alarms
      summary: List labels for an alarm
      description: Retrieves a list of label IDs associated with a specific alarm.
      parameters:
        - name: alarmId
          in: path
          required: true
          description: The UUID of the alarm.
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: A list of label IDs.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AlarmLabels'
              example:
                alarm_labels:
                  - 971918fd-a569-548a-5a80-1ffcda2a8365
        '404':
          description: Alarm not found.
components:
  schemas:
    AlarmLabels:
      type: object
      properties:
        alarm_labels:
          type: array
          items:
            type: string
            format: uuid
      required:
        - alarm_labels
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````